# $Revision: 1.31 $, $Date: 2011/02/23 17:00:39 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Devel
%define		pnam	StackTrace
Summary:	Devel::StackTrace - stack trace and stack trace frame objects
Summary(pl.UTF-8):	Devel::StackTrace - śledzenie stosu i ramek obiektów
Name:		perl-Devel-StackTrace
Version:	1.27
Release:	1
License:	Artistic 2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Devel/DROLSKY/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	72ba07f2dc0331d8ce3c028cc66cf20d
URL:		http://search.cpan.org/dist/Devel-StackTrace/
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.46}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Devel::StackTrace module contains two classes, Devel::StackTrace
and Devel::StackTraceFrame. The goal of this object is to encapsulate
the information that can found through using the caller() function, as
well as providing a simple interface to this data.

%description -l pl.UTF-8
Moduł Devel::StackTrace zawiera dwie klasy: Devel::StackTrace i
Devel::StackTraceFrame. Zadaniem tego obiektu jest obudowanie
znalezionej przy użyciu funkcji caller() informacji, oraz
udostępnienie prostego interfejsu do tych danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%{perl_vendorlib}/Devel/StackTrace.pm
%{perl_vendorlib}/Devel/StackTrace
%{_mandir}/man3/Devel::StackTrace*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Devel-StackTrace.spec,v $
Revision 1.31  2011/02/23 17:00:39  qboosh
- updated to 1.27

Revision 1.30  2009/09/10 12:30:19  amateja
- updated to 1.22

Revision 1.29  2008/12/03 12:14:43  arekm
- up to 1.20

Revision 1.28  2008/08/17 19:33:38  qboosh
- don't lie about version

Revision 1.27  2008/08/08 20:55:06  arekm
- up to 1.1902 (using 1.19 as version to avoid future epoch increase)

Revision 1.26  2008-04-02 08:30:53  arekm
- up to 1.18

Revision 1.25  2007/02/13 07:16:54  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.23  2006/07/27 17:26:22  glen
- 1.13, generic URL

Revision 1.22  2006/02/26 22:01:20  agaran
- up to 1.12 rel 1, builds here

Revision 1.21  2004/11/03 22:30:19  paladine
- formatting

Revision 1.20  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.19  2004/05/07 00:32:00  ankry
- rel. 2

Revision 1.18  2004/04/20 13:08:13  ankry
- license fixes/unification

Revision 1.17  2004/04/14 14:37:50  ankry
- cosmetics

Revision 1.16  2004/04/13 11:54:33  adamg
- updated to 1.11

Revision 1.15  2004/04/12 00:28:23  qboosh
- new-style bcond, switched to Build.PL
- BR: perl-Module-Build (it killed builders when using Makefile.PL w/o this package)

Revision 1.14  2004/04/11 08:28:37  agaran
 - updated to 1.10, not sure if %install change is correct

Revision 1.13  2003/10/01 21:32:12  migo
- up to 1.04

Revision 1.12  2003/08/18 08:08:42  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 18:05:27  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/24 20:31:52  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:31:37  ankry
- massive attack: change CPAN URLs

Revision 1.5  2003/01/23 09:51:07  radek
- version 1.03

Revision 1.4  2002/09/21 21:04:03  radek
- version 1.02

Revision 1.3  2002/08/27 18:53:56  qboosh
- pl Summary

Revision 1.2  2002/08/25 09:03:57  radek
- version 1.00, informative summary, conditional tests; STBR

Revision 1.1  2002/07/15 07:42:07  depesz
- spec by Radosław Zieliński
